Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Class RenderingHints.Key

    java.lang.Object
      |
      +--java.awt.RenderingHints.Key

Enclosing class:
  RenderingHints

public abstract static class RenderingHints.Key
extends Object

Defines the base type of all keys used to control various aspects of the rendering and imaging pipelines. Instances of this class are immutable and unique which means that tests for matches can be made using the == operator instead of the more expensive equals() method.

Constructor Summary
`protected` | `RenderingHints.Key(int privatekey)` Construct a key using the indicated private key.

Method Summary
`boolean` | `equals(Object o)` The equals method for all Key objects will return the same result as the equality operator '=='.
`int` | `hashCode()` The hash code for all Key objects will be the same as the system identity code of the object as defined by the System.identityHashCode() method.
`protected int` | `intKey()` Returns the private integer key that the subclass instantiated this Key with.
`abstract boolean` | `isCompatibleValue(Object val)` Returns true if the specified object is a valid value for this Key.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderingHints.Key

    protected RenderingHints.Key(int privatekey)

  Construct a key using the indicated private key. Each subclass of Key maintains its own unique domain of integer keys. No two objects with the same integer key and of the same specific subclass can be constructed. An exception will be thrown if an attempt is made to construct another object of a given class with the same integer key as a pre-existing instance of that subclass of Key.

Parameters:
  `privatekey` - the specified key

Method Detail

### isCompatibleValue

    public abstract boolean isCompatibleValue(Object val)

  Returns true if the specified object is a valid value for this Key.

  Parameters:
    `val` - the `Object` to test for validity
  Returns:
    `true` if `val` is valid; `false` otherwise.

### intKey

    protected final int intKey()

  Returns the private integer key that the subclass instantiated this Key with.

  Returns:
    the private integer key that the subclass instantiated this Key with.

### hashCode

    public final int hashCode()

  The hash code for all Key objects will be the same as the system identity code of the object as defined by the System.identityHashCode() method.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### equals

    public final boolean equals(Object o)

  The equals method for all Key objects will return the same result as the equality operator '=='.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `o` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.
  See Also:
    `Object.hashCode()`, `Hashtable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.